
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was simcrs-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/simcrs" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the SimCRS package. It defines the following variables:
#  SIMCRS_VERSION      - version of SimCRS
#  SIMCRS_BINARY_DIRS  - binary directories for SimCRS
#  SIMCRS_INCLUDE_DIRS - include directories for SimCRS
#  SIMCRS_LIBRARY_DIRS - library directories for SimCRS (normally not used!)
#  SIMCRS_LIBRARIES    - libraries to link against
#  SIMCRS_EXECUTABLES  - the SimCRS binaries/executables

# Tell the user project where to find SimCRS headers and libraries
set (SIMCRS_VERSION "1.01.11")
set (SIMCRS_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (SIMCRS_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (SIMCRS_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")

# Library dependencies for SimCRS (contains definitions for the SimCRS IMPORTED
# targets)
include ("${CMAKE_CURRENT_LIST_DIR}/simcrs-library-depends.cmake")

# These are the SimCRS IMPORTED targets, created by simcrs-library-depends.cmake
set (SIMCRS_LIBRARIES simcrslib)
set (SIMCRS_EXECUTABLES simcrs)
